Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162278 - Folder summary (left) pane is not updated when using maildir protocol
Summary: Folder summary (left) pane is not updated when using maildir protocol
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-data-server
Version: 4
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL: http://bugzilla.gnome.org/show_bug.cg...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-01 21:03 UTC by Daniel L. Rall
Modified: 2018-04-11 12:33 UTC (History)
2 users (show)

Fixed In Version: FC7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-02 17:03:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 303225 None None None Never

Description Daniel L. Rall 2005-07-01 21:03:36 UTC
Description of problem:
The left pane is not updated when you are reading/deleting msgs, and shows the
right number of emails unread only when evolution is just launched, or you
navigate to another folder, then back again.  Otherwise, Evolution still shows
the same unread msgs even after you read/delete some.

Version-Release number of selected component (if applicable):
evolution-data-server-1.2.2-3
evolution-2.2.2-5

Steps to Reproduce:
1. Open Evolution configured to use one or more maildir.
2. Select folder within maildir account.
3. Read or delete messages.
  
Actual results:
Count of unread messages in the summary pane is not decremented.

Expected results:
Count of unread messages in the summary pane should be decremented.

Additional info:
It looks like the GNOME and Novell folks may have already fixed this problem. 
There's a patch in their bug tracker
<http://bugzilla.gnome.org/show_bug.cgi?id=303225> which one user has verified.

Comment 1 Daniel L. Rall 2005-07-05 17:58:13 UTC
The Novell folks reported the fix committed for the 2.3.4 release, and have
closed the upstream bug.  Please incorporate that patch into Rawhide (or
whatever the equivalent is these days).

Comment 2 Christian Iseli 2007-01-22 10:45:55 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 3 Matěj Cepl 2007-08-31 15:20:42 UTC
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.

Comment 4 Matthew Barnes 2007-10-02 17:03:08 UTC
Closing as INSUFFICIENT_DATA.

Comment 5 Daniel L. Rall 2007-10-03 16:46:37 UTC
I'm no longer trying to use Evolution, nor using such an old Fedora release as
FC4.  As I mentioned in comment #1, the maintainers indicated that they fixed
this bug in Evolution itself, so it's likely fixed in a newer FC release.

I provided clear reproduction instructions when opening this bug, so there's no
reason you can't verify this issue yourself.


Note You need to log in before you can comment on or make changes to this bug.